"""empty message

Revision ID: fc43bed560de
Revises: 
Create Date: 2020-08-23 20:04:22.644316

"""
from alembic import op
import sqlalchemy as sa
from datetime import time, date

# revision identifiers, used by Alembic.
revision = 'fc43bed560de'
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    category = op.create_table(
        'category',
        sa.Column('id', sa.Integer(), nullable=False),
        sa.Column('name', sa.String(length=200), nullable=True),
        sa.PrimaryKeyConstraint('id')
    )
    product = op.create_table(
        'product',
        sa.Column('id', sa.Integer(), nullable=False),
        sa.Column('name', sa.String(length=200), nullable=True),
        sa.Column('price', sa.Float(), nullable=True),
        sa.Column('description', sa.String(length=200), nullable=True),
        sa.PrimaryKeyConstraint('id')
    )
    store = op.create_table(
        'store',
        sa.Column('id', sa.Integer(), nullable=False),
        sa.Column('name', sa.String(length=200), nullable=True),
        sa.Column('address', sa.String(length=200), nullable=True),
        sa.Column('logo', sa.String(length=200), nullable=True),
        sa.PrimaryKeyConstraint('id')
    )
    week_day = op.create_table(
        'week_day',
        sa.Column('id', sa.Integer(), nullable=False),
        sa.Column('day', sa.Enum('monday', 'tuesday', 'wednesday', 'thursday',
                                 'friday', 'saturday', 'sunday',
                                 name='weekdays'),
                  nullable=True),
        sa.PrimaryKeyConstraint('id')
    )
    work_information = op.create_table(
        'work_information',
        sa.Column('id', sa.Integer(), nullable=False),
        sa.Column('open_hour', sa.Time(), nullable=True),
        sa.Column('close_hour', sa.Time(), nullable=True),
        sa.PrimaryKeyConstraint('id')
    )
    cart = op.create_table(
        'cart',
        sa.Column('id', sa.Integer(), nullable=False),
        sa.Column('store_id', sa.Integer(), nullable=True),
        sa.Column('total_amount', sa.Float(), nullable=True),
        sa.Column('total_amount_discount', sa.Float(), nullable=True),
        sa.ForeignKeyConstraint(['store_id'], ['store.id'], ),
        sa.PrimaryKeyConstraint('id')
    )
    category_product = op.create_table(
        'category_product',
        sa.Column('product_id', sa.Integer(), nullable=True),
        sa.Column('category_id', sa.Integer(), nullable=True),
        sa.ForeignKeyConstraint(['category_id'], ['category.id'],),
        sa.ForeignKeyConstraint(['product_id'], ['product.id'],)
    )
    day_work = op.create_table(
        'day_work',
        sa.Column('week_day_id', sa.Integer(), nullable=True),
        sa.Column('work_information_id', sa.Integer(), nullable=True),
        sa.ForeignKeyConstraint(['week_day_id'], ['week_day.id'],),
        sa.ForeignKeyConstraint(['work_information_id'],
                                ['work_information.id'],)
    )
    stock = op.create_table(
        'stock',
        sa.Column('id', sa.Integer(), nullable=False),
        sa.Column('quantity', sa.Integer(), nullable=True),
        sa.Column('store_id', sa.Integer(), nullable=True),
        sa.Column('product_id', sa.Integer(), nullable=True),
        sa.ForeignKeyConstraint(['product_id'], ['product.id'],),
        sa.ForeignKeyConstraint(['store_id'], ['store.id'],),
        sa.PrimaryKeyConstraint('id')
    )
    store_work = op.create_table(
        'store_work',
        sa.Column('store_id', sa.Integer(), nullable=True),
        sa.Column('work_information_id', sa.Integer(), nullable=True),
        sa.ForeignKeyConstraint(['store_id'], ['store.id'],),
        sa.ForeignKeyConstraint(['work_information_id'],
                                ['work_information.id'],)
    )
    voucher = op.create_table(
        'voucher',
        sa.Column('id', sa.Integer(), nullable=False),
        sa.Column('code', sa.String(length=16), nullable=True),
        sa.Column('store_id', sa.Integer(), nullable=True),
        sa.Column('max_units', sa.Integer(), nullable=True),
        sa.Column('min_units', sa.Integer(), nullable=True),
        sa.Column('discount', sa.Float(), nullable=True),
        sa.Column('initial_date', sa.Date(), nullable=True),
        sa.Column('end_date', sa.Date(), nullable=True),
        sa.ForeignKeyConstraint(['store_id'], ['store.id'], ),
        sa.PrimaryKeyConstraint('id'),
        sa.UniqueConstraint('code')
    )
    op.create_table(
        'cart_vouchers',
        sa.Column('cart_id', sa.Integer(), nullable=True),
        sa.Column('voucher_id', sa.Integer(), nullable=True),
        sa.ForeignKeyConstraint(['cart_id'], ['cart.id'], ),
        sa.ForeignKeyConstraint(['voucher_id'], ['voucher.id'], )
    )
    op.create_table(
        'item',
        sa.Column('id', sa.Integer(), nullable=False),
        sa.Column('quantity', sa.Integer(), nullable=True),
        sa.Column('cart_id', sa.Integer(), nullable=True),
        sa.Column('product_id', sa.Integer(), nullable=True),
        sa.ForeignKeyConstraint(['cart_id'], ['cart.id'], ),
        sa.ForeignKeyConstraint(['product_id'], ['product.id'], ),
        sa.PrimaryKeyConstraint('id')
    )
    voucher_days = op.create_table(
        'voucher_days',
        sa.Column('week_day_id', sa.Integer(), nullable=True),
        sa.Column('voucher_id', sa.Integer(), nullable=True),
        sa.ForeignKeyConstraint(['voucher_id'], ['voucher.id'], ),
        sa.ForeignKeyConstraint(['week_day_id'], ['week_day.id'], )
    )
    voucher_products = op.create_table(
        'voucher_products',
        sa.Column('product_id', sa.Integer(), nullable=True),
        sa.Column('voucher_id', sa.Integer(), nullable=True),
        sa.ForeignKeyConstraint(['product_id'], ['product.id'], ),
        sa.ForeignKeyConstraint(['voucher_id'], ['voucher.id'], )
    )
    # ### end Alembic commands ###

    op.bulk_insert(category, [{'id': 1, 'name': 'cleaning'},
                              {'id': 2, 'name': 'bathroom'},
                              {'id': 3, 'name': 'sodas'},
                              {'id': 4, 'name': 'food'}])

    op.bulk_insert(product, [
        # Cleaning
        {'id': 1, 'name': 'Atlantis detergent',
         'description': 'detergent', 'price': 2.5},
        {'id': 2, 'name': 'Virulanita',
         'description': 'sponge', 'price': 2.5},
        {'id': 3, 'name': 'Sponge, Bob',
         'description': 'sponge', 'price': 3.5},
        {'id': 4, 'name': 'Generic mop',
         'description': 'mop', 'price': 4.5},
        # Bathroom
        {'id': 5, 'name': 'Pure steel toilet paper',
         'description': 'toilet paper', 'price': 4.5},
        {'id': 6, 'name': 'Generic soap',
         'description': 'soap', 'price': 4.5},
        {'id': 7, 'name': 'PANTONE shampoo',
         'description': 'shampoo', 'price': 4.5},
        {'id': 8, 'name': 'Hang-yourself toothpaste',
         'description': 'toothpaste', 'price': 4.5},
        # Sodas
        {'id': 9, 'name': 'Cold Ice Tea',
         'description': 'tea', 'price': 4.5},
        {'id': 10, 'name': 'Coffee flavoured milk',
         'description': 'coffe', 'price': 4.5},
        {'id': 11, 'name': 'Nuka-Cola',
         'description': 'soda', 'price': 4.5},
        {'id': 12, 'name': 'Sprute',
         'description': 'soda sprute', 'price': 4.5},
        {'id': 13, 'name': 'Slurm',
         'description': 'slurm soda', 'price': 4.5},
        {'id': 14, 'name': 'Diet Slurm',
         'description': 'diet slurm soda', 'price': 4.5},
        # Food
        {'id': 15, 'name': 'Salsa Cookies',
         'description': 'salsa', 'price': 4.5},
        {'id': 16, 'name': 'Windmill Cookies',
         'description': 'cookies', 'price': 4.5},
        {'id': 17, 'name': 'Garlic-o-bread 2000',
         'description': 'bread', 'price': 4.5},
        {'id': 18, 'name': 'LACTEL bread',
         'description': 'bread', 'price': 4.5},
        {'id': 19, 'name': 'Ravioloches x12',
         'description': 'pasta', 'price': 4.5},
        {'id': 20, 'name': 'Ravioloches x48',
         'description': 'pasta', 'price': 4.5},
        {'id': 21, 'name': 'Milanga ganga',
         'description': 'ganga', 'price': 4.5},
        {'id': 22, 'name': 'Milanga ganga napo',
         'description': 'the best napo', 'price': 4.5}])

    op.bulk_insert(category_product, [
        # Cleaning
        {'id': 1, 'product_id': 1, 'category_id': 1},
        {'id': 2, 'product_id': 2, 'category_id': 1},
        {'id': 3, 'product_id': 3, 'category_id': 1},
        {'id': 4, 'product_id': 4, 'category_id': 1},
        # Bathroom
        {'id': 5, 'product_id': 5, 'category_id': 2},
        {'id': 6, 'product_id': 6, 'category_id': 2},
        {'id': 7, 'product_id': 7, 'category_id': 2},
        {'id': 8, 'product_id': 8, 'category_id': 2},
        # Sodas
        {'id': 9, 'product_id': 9, 'category_id': 3},
        {'id': 10, 'product_id': 10, 'category_id': 3},
        {'id': 11, 'product_id': 11, 'category_id': 3},
        {'id': 12, 'product_id': 12, 'category_id': 3},
        {'id': 13, 'product_id': 13, 'category_id': 3},
        {'id': 14, 'product_id': 14, 'category_id': 3},
        # Food
        {'id': 15, 'product_id': 15, 'category_id': 4},
        {'id': 16, 'product_id': 16, 'category_id': 4},
        {'id': 17, 'product_id': 17, 'category_id': 4},
        {'id': 18, 'product_id': 18, 'category_id': 4},
        {'id': 19, 'product_id': 19, 'category_id': 4},
        {'id': 20, 'product_id': 20, 'category_id': 4},
        {'id': 21, 'product_id': 21, 'category_id': 4},
        {'id': 22, 'product_id': 22, 'category_id': 4}])

    op.bulk_insert(week_day, [
        {'id': 1, 'day': 'monday'},
        {'id': 2, 'day': 'tuesday'},
        {'id': 3, 'day': 'wednesday'},
        {'id': 4, 'day': 'thursday'},
        {'id': 5, 'day': 'friday'},
        {'id': 6, 'day': 'saturday'},
        {'id': 7, 'day': 'sunday'}])

    op.bulk_insert(work_information, [
        {'id': 1, 'open_hour': time(9, 30, 0),
         'close_hour': time(18, 0, 0)},
        {'id': 2, 'open_hour': time(7, 30, 0),
         'close_hour': time(17, 0, 0)},
        {'id': 3, 'open_hour': time(10, 30, 0),
         'close_hour': time(14, 0, 0)},
        {'id': 4, 'open_hour': time(15, 30, 0),
         'close_hour': time(19, 0, 0)}])

    op.bulk_insert(store, [
        {'id': 1, 'name': 'COCO Downtown',
         'address': '123 Fake Street, La Plata, LP 1030',
         'logo': 'media/Downtownimage.jpg'},
        {'id': 2, 'name': 'COCO Bay',
         'address': '44 Main Street, La Plata, LP 830',
         'logo': 'media/BAYimage.jpg'},
        {'id': 3, 'name': 'COCO Mall',
         'address': '53 Main Street, La Platak, LP 1310',
         'logo': 'media/MALLimage.jpg'}])

    op.bulk_insert(store_work, [
        {'id': 1, 'store_id': 1, 'work_information_id': 1},
        {'id': 2, 'store_id': 2, 'work_information_id': 2},
        {'id': 3, 'store_id': 3, 'work_information_id': 3},
        {'id': 4, 'store_id': 3, 'work_information_id': 4}])

    op.bulk_insert(day_work, [
        # Store 1 monday to friday same hours
        {'id': 1, 'week_day_id': 1, 'work_information_id': 1},
        {'id': 2, 'week_day_id': 2, 'work_information_id': 1},
        {'id': 3, 'week_day_id': 3, 'work_information_id': 1},
        {'id': 4, 'week_day_id': 4, 'work_information_id': 1},
        {'id': 5, 'week_day_id': 5, 'work_information_id': 1},
        # Store 2 tuesday to friday same hours
        {'id': 6, 'week_day_id': 2, 'work_information_id': 2},
        {'id': 7, 'week_day_id': 3, 'work_information_id': 2},
        {'id': 8, 'week_day_id': 4, 'work_information_id': 2},
        {'id': 9, 'week_day_id': 5, 'work_information_id': 2},
        # Store 3 thursday to sunday same hours
        {'id': 11, 'week_day_id': 4, 'work_information_id': 3},
        {'id': 12, 'week_day_id': 5, 'work_information_id': 3},
        {'id': 13, 'week_day_id': 6, 'work_information_id': 3},
        {'id': 14, 'week_day_id': 7, 'work_information_id': 3},

        {'id': 16, 'week_day_id': 4, 'work_information_id': 4},
        {'id': 17, 'week_day_id': 5, 'work_information_id': 4},
        {'id': 18, 'week_day_id': 6, 'work_information_id': 4},
        {'id': 19, 'week_day_id': 7, 'work_information_id': 4}])

    op.bulk_insert(stock, [
        # Stock store 1: COCO Downtown
        {'id': 1, 'store_id': 1, 'product_id': 1, 'quantity': 0},
        {'id': 2, 'store_id': 1, 'product_id': 2, 'quantity': 0},
        {'id': 3, 'store_id': 1, 'product_id': 3, 'quantity': 0},
        {'id': 4, 'store_id': 1, 'product_id': 4, 'quantity': 0},
        {'id': 5, 'store_id': 1, 'product_id': 5, 'quantity': 0},
        {'id': 6, 'store_id': 1, 'product_id': 6, 'quantity': 1},
        {'id': 7, 'store_id': 1, 'product_id': 7, 'quantity': 15},
        {'id': 8, 'store_id': 1, 'product_id': 8, 'quantity': 18},
        {'id': 9, 'store_id': 1, 'product_id': 9, 'quantity': 11},
        {'id': 10, 'store_id': 1, 'product_id': 10, 'quantity': 10},
        {'id': 11, 'store_id': 1, 'product_id': 11, 'quantity': 10},
        {'id': 12, 'store_id': 1, 'product_id': 12, 'quantity': 0},
        {'id': 13, 'store_id': 1, 'product_id': 13, 'quantity': 0},
        {'id': 14, 'store_id': 1, 'product_id': 14, 'quantity': 10},
        {'id': 15, 'store_id': 1, 'product_id': 15, 'quantity': 13},
        {'id': 16, 'store_id': 1, 'product_id': 16, 'quantity': 10},
        {'id': 17, 'store_id': 1, 'product_id': 17, 'quantity': 30},
        {'id': 18, 'store_id': 1, 'product_id': 18, 'quantity': 10},
        {'id': 19, 'store_id': 1, 'product_id': 19, 'quantity': 14},
        {'id': 20, 'store_id': 1, 'product_id': 20, 'quantity': 20},
        {'id': 21, 'store_id': 1, 'product_id': 21, 'quantity': 10},
        {'id': 22, 'store_id': 1, 'product_id': 22, 'quantity': 10},
        # Stock store 2: COCO Bay
        {'id': 23, 'store_id': 2, 'product_id': 1, 'quantity': 10},
        {'id': 24, 'store_id': 2, 'product_id': 2, 'quantity': 10},
        {'id': 25, 'store_id': 2, 'product_id': 3, 'quantity': 10},
        {'id': 26, 'store_id': 2, 'product_id': 4, 'quantity': 10},
        {'id': 27, 'store_id': 2, 'product_id': 5, 'quantity': 0},
        {'id': 28, 'store_id': 2, 'product_id': 6, 'quantity': 0},
        {'id': 29, 'store_id': 2, 'product_id': 7, 'quantity': 0},
        {'id': 30, 'store_id': 2, 'product_id': 8, 'quantity': 0},
        {'id': 31, 'store_id': 2, 'product_id': 9, 'quantity': 10},
        {'id': 32, 'store_id': 2, 'product_id': 10, 'quantity': 10},
        {'id': 33, 'store_id': 2, 'product_id': 11, 'quantity': 10},
        {'id': 34, 'store_id': 2, 'product_id': 12, 'quantity': 10},
        {'id': 35, 'store_id': 2, 'product_id': 13, 'quantity': 10},
        {'id': 36, 'store_id': 2, 'product_id': 14, 'quantity': 0},
        {'id': 37, 'store_id': 2, 'product_id': 15, 'quantity': 10},
        {'id': 38, 'store_id': 2, 'product_id': 16, 'quantity': 10},
        {'id': 39, 'store_id': 2, 'product_id': 17, 'quantity': 10},
        {'id': 40, 'store_id': 2, 'product_id': 18, 'quantity': 10},
        {'id': 41, 'store_id': 2, 'product_id': 19, 'quantity': 10},
        {'id': 42, 'store_id': 2, 'product_id': 20, 'quantity': 10},
        {'id': 43, 'store_id': 2, 'product_id': 21, 'quantity': 10},
        {'id': 44, 'store_id': 2, 'product_id': 22, 'quantity': 10},
        # Stock store 3: COCO Mall
        {'id': 45, 'store_id': 3, 'product_id': 1, 'quantity': 0},
        {'id': 46, 'store_id': 3, 'product_id': 2, 'quantity': 0},
        {'id': 47, 'store_id': 3, 'product_id': 3, 'quantity': 0},
        {'id': 48, 'store_id': 3, 'product_id': 4, 'quantity': 0},
        {'id': 49, 'store_id': 3, 'product_id': 5, 'quantity': 10},
        {'id': 50, 'store_id': 3, 'product_id': 6, 'quantity': 10},
        {'id': 51, 'store_id': 3, 'product_id': 7, 'quantity': 10},
        {'id': 52, 'store_id': 3, 'product_id': 8, 'quantity': 10},
        {'id': 53, 'store_id': 3, 'product_id': 9, 'quantity': 10},
        {'id': 54, 'store_id': 3, 'product_id': 10, 'quantity': 10},
        {'id': 55, 'store_id': 3, 'product_id': 11, 'quantity': 10},
        {'id': 56, 'store_id': 3, 'product_id': 12, 'quantity': 10},
        {'id': 57, 'store_id': 3, 'product_id': 13, 'quantity': 10},
        {'id': 58, 'store_id': 3, 'product_id': 14, 'quantity': 10},
        {'id': 59, 'store_id': 3, 'product_id': 15, 'quantity': 10},
        {'id': 60, 'store_id': 3, 'product_id': 16, 'quantity': 10},
        {'id': 61, 'store_id': 3, 'product_id': 17, 'quantity': 10},
        {'id': 62, 'store_id': 3, 'product_id': 18, 'quantity': 10},
        {'id': 63, 'store_id': 3, 'product_id': 19, 'quantity': 0},
        {'id': 64, 'store_id': 3, 'product_id': 20, 'quantity': 0},
        {'id': 65, 'store_id': 3, 'product_id': 21, 'quantity': 0},
        {'id': 66, 'store_id': 3, 'product_id': 22, 'quantity': 0}])

    op.bulk_insert(cart, [
        {'id': 1, 'store_id': 1, 'total_amount': 0.0,
         'total_amount_discount': 0.0},
        {'id': 2, 'store_id': 1, 'total_amount': 0.0,
         'total_amount_discount': 0.0},
        {'id': 3, 'store_id': 2, 'total_amount': 0.0,
         'total_amount_discount': 0.0},
        {'id': 4, 'store_id': 3, 'total_amount': 0.0,
         'total_amount_discount': 0.0}])

    op.bulk_insert(voucher, [
        # Vouchers Store 1 COCO Downtown
        {'id': 1, 'store_id': 1, 'code': 'COCO2O1USLC6QR22', 'max_units': None,
         'min_units': 2, 'discount': 0.15, 'initial_date': date(2020, 2, 1),
         'end_date': date(2020, 2, 28)},
        {'id': 2, 'store_id': 1, 'code': 'COCO0FLEQ287CC05', 'max_units': None,
         'min_units': 2, 'discount': 0.25, 'initial_date': date(2020, 2, 15),
         'end_date': date(2020, 2, 18)},
        # Vouchers Store 2 COCO Bay
        {'id': 3, 'store_id': 2, 'code': 'COCO1V1F8XOG1MZZ', 'max_units': None,
         'min_units': 1, 'discount': 0.2, 'initial_date': date(2020, 1, 27),
         'end_date': date(2020, 2, 13)},
        {'id': 4, 'store_id': 2, 'code': 'COCOKCUD0Z9LUKBN', 'max_units': 6,
         'min_units': 3, 'discount': 0.33, 'initial_date': date(2020, 1, 24),
         'end_date': date(2020, 2, 6)},
        # Vouchers Store 3 COCO Mall
        {'id': 5, 'store_id': 3, 'code': 'COCOG730CNSG8ZVX', 'max_units': None,
         'min_units': 1, 'discount': 0.1, 'initial_date': date(2020, 1, 31),
         'end_date': date(2020, 2, 9)},
    ])

    op.bulk_insert(voucher_days, [
        # Voucher 1 - all week
        {'id': 1, 'week_day_id': 1, 'voucher_id': 1},
        {'id': 2, 'week_day_id': 2, 'voucher_id': 1},
        {'id': 3, 'week_day_id': 3, 'voucher_id': 1},
        {'id': 4, 'week_day_id': 4, 'voucher_id': 1},
        {'id': 5, 'week_day_id': 5, 'voucher_id': 1},
        {'id': 6, 'week_day_id': 6, 'voucher_id': 1},
        {'id': 7, 'week_day_id': 7, 'voucher_id': 1},
        # Voucher 2 - only on Mondays
        {'id': 8, 'week_day_id': 1, 'voucher_id': 2},
        # Vocuher 3 - on Wednesdays and Thursdays
        {'id': 9, 'week_day_id': 3, 'voucher_id': 3},
        {'id': 10, 'week_day_id': 4, 'voucher_id': 3},
        # Voucher 4 - all week
        {'id': 11, 'week_day_id': 1, 'voucher_id': 4},
        {'id': 12, 'week_day_id': 2, 'voucher_id': 4},
        {'id': 13, 'week_day_id': 3, 'voucher_id': 4},
        {'id': 14, 'week_day_id': 4, 'voucher_id': 4},
        {'id': 15, 'week_day_id': 5, 'voucher_id': 4},
        {'id': 16, 'week_day_id': 6, 'voucher_id': 4},
        {'id': 17, 'week_day_id': 7, 'voucher_id': 4},
        # Voucher 5 - all week
        {'id': 18, 'week_day_id': 1, 'voucher_id': 5},
        {'id': 19, 'week_day_id': 2, 'voucher_id': 5},
        {'id': 20, 'week_day_id': 3, 'voucher_id': 5},
        {'id': 21, 'week_day_id': 4, 'voucher_id': 5},
        {'id': 22, 'week_day_id': 5, 'voucher_id': 5},
        {'id': 23, 'week_day_id': 6, 'voucher_id': 5},
        {'id': 24, 'week_day_id': 7, 'voucher_id': 5}])

    op.bulk_insert(voucher_products, [
        # Voucher 1 - only on "Nuka-Cola", "Slurm" and "Diet Slurm"
        {'id': 1, 'product_id': 11, 'voucher_id': 1},
        {'id': 2, 'product_id': 13, 'voucher_id': 1},
        {'id': 3, 'product_id': 14, 'voucher_id': 1},
        # Voucher 2 - only on "Hang-yourself toothpaste"
        {'id': 4, 'product_id': 8, 'voucher_id': 2},
        # Vocuher 3 - Cleaning products
        {'id': 5, 'product_id': 1, 'voucher_id': 3},
        {'id': 6, 'product_id': 2, 'voucher_id': 3},
        {'id': 7, 'product_id': 3, 'voucher_id': 3},
        {'id': 8, 'product_id': 4, 'voucher_id': 3},
        # Voucher 4 - only on "Windmill Cookies"
        {'id': 9, 'product_id': 16, 'voucher_id': 4},
        # Voucher 5 - on Bathroom and Sodas
        {'id': 10, 'product_id': 5, 'voucher_id': 5},
        {'id': 11, 'product_id': 6, 'voucher_id': 5},
        {'id': 12, 'product_id': 7, 'voucher_id': 5},
        {'id': 13, 'product_id': 8, 'voucher_id': 5},
        {'id': 14, 'product_id': 9, 'voucher_id': 5},
        {'id': 15, 'product_id': 10, 'voucher_id': 5},
        {'id': 16, 'product_id': 11, 'voucher_id': 5},
        {'id': 17, 'product_id': 12, 'voucher_id': 5},
        {'id': 18, 'product_id': 13, 'voucher_id': 5},
        {'id': 19, 'product_id': 14, 'voucher_id': 5}])
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('voucher_products')
    op.drop_table('voucher_days')
    op.drop_table('item')
    op.drop_table('cart_vouchers')
    op.drop_table('voucher')
    op.drop_table('store_work')
    op.drop_table('stock')
    op.drop_table('day_work')
    op.drop_table('category_product')
    op.drop_table('cart')
    op.drop_table('work_information')
    op.drop_table('week_day')
    op.drop_table('store')
    op.drop_table('product')
    op.drop_table('category')
    # ### end Alembic commands ###
